INTERFACE
SUBROUTINE PPAKAD(KPROMA,KSTART,KPROF,KFLEV,KLEVP,KLOLEV,KLEV_AK,KLEVB,&
 & PRES,PLNPRES,LDBELS,LDBLES,PWEIGHT,&
 & PRXP,PRXPD,PGRGF,&
 & PGRGPP,&
 & PRXP5,PRXPD5,PGRGF5,cdpar) 
USE PARKIND1 ,ONLY : JPIM ,JPRB
USE YOMDIM , ONLY : NPPM
INTEGER(KIND=JPIM),INTENT(IN) :: KPROMA
INTEGER(KIND=JPIM),INTENT(IN) :: KSTART
INTEGER(KIND=JPIM),INTENT(IN) :: KPROF
INTEGER(KIND=JPIM),INTENT(IN) :: KFLEV
INTEGER(KIND=JPIM),INTENT(IN) :: KLEVP
INTEGER(KIND=JPIM),INTENT(IN) :: KLOLEV
INTEGER(KIND=JPIM),INTENT(IN) :: KLEV_AK
INTEGER(KIND=JPIM),INTENT(IN) :: KLEVB(KPROMA,KLEV_AK,NPPM,KLEVP)
REAL(KIND=JPRB) ,INTENT(IN) :: PRES(KPROMA,KLEVP,KLEV_AK)
REAL(KIND=JPRB) ,INTENT(IN) :: PLNPRES(KPROMA,KLEV_AK,KLEVP)
LOGICAL ,INTENT(IN) :: LDBELS(KPROMA,KLEV_AK,KLEVP)
LOGICAL ,INTENT(IN) :: LDBLES(KLEV_AK,KLEVP)
REAL(KIND=JPRB) ,INTENT(IN) :: PWEIGHT(KPROMA,KLEVP,KLEV_AK)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PRXP(KPROMA,0:KFLEV,NPPM)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PRXPD(KPROMA,0:KFLEV,NPPM)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PGRGF(KPROMA,0:KFLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PGRGPP(KPROMA,KLEVP)
REAL(KIND=JPRB) ,INTENT(IN) :: PRXP5(KPROMA,0:KFLEV,NPPM)
REAL(KIND=JPRB) ,INTENT(IN) :: PRXPD5(KPROMA,0:KFLEV,NPPM)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PGRGF5(KPROMA,0:KFLEV)
CHARACTER(LEN=*) ,INTENT(IN) :: CDPAR
END SUBROUTINE PPAKAD
END INTERFACE
